Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Interface ISVNCanceller

All Known Subinterfaces:
  ISVNAdminEventHandler, ISVNEventHandler

All Known Implementing Classes:
  SVNAdminEventAdapter, SVNBasicClient, SVNEventAdapter, SVNRepositoryReplicator

public interface ISVNCanceller

Version:
  1.1.2
Author:
  TMate Software Ltd.

Field Summary
`static ISVNCanceller` | `NULL`

Method Summary
`void` | `checkCancelled()` Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.

Field Detail

### NULL

    public static final ISVNCanceller NULL

Method Detail

### checkCancelled

    public void checkCancelled()
                        throws SVNCancelException

  Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.

  Throws:
    `SVNCancelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.